brainfuck(1)

NAME
brainfuck - brainfuck interpreter

SYNOPSIS
brainfuck [-evh] [file ...]

DESCRIPTION
A brainfuck interpreter written in C.

SYNTAX
The brainfuck syntax is described below:

>   Increment the data pointer (to point to the next cell to the right).

<   Decrement the data pointer (to point to the next cell to the left).

+   Increment (increase by one) the byte at the data pointer.

-   Decrement (decrease by one) the byte at the data pointer.

.   Output the byte at the data pointer as an ASCII encoded character.

,   Accept one byte of input, storing its value in the byte at the data pointer.

[   If the byte at the data pointer is zero, then instead of moving the instruction pointer forward to the next command, jump it forward to the command after the matching] token.

]   If the byte at the data pointer is nonzero, then instead of moving the instruction pointer forward to the next command, jump it back to the command after the matching [ token.

FLAGS

-e | --eval
    Direct input mode

-v | --version
    Show version information

-h | --help
    Show help message

FILES

/usr/local/bin/brainfuck
    The main brainfuck executable.

/usr/local/lib/libbrainfuck.a
    Static library to run interpreter programmatically.

/usr/local/include/brainfuck/brainfuck.h
    Application programming interface of the library.

/usr/local/man/man1/brainfuck.1
    This man file.

/usr/local/share/brainfuck/examples
    Directory containing numerous brainfuck example programs.